//
//	simple idc program to automate ida.
//	if ida is started as
//
//		ida -Sanalys.idc file
//
//	this idc file will be executed:
//	  - the code segment is analysed
//	  - the output file is created
//	  - IDA exits to OS
//
//	this is unusual usage of IDA though.
//
  
static main() {
  auto x,y;

  Message("Waiting for the end of auto analys...\n");
  Wait();

  x = SegStart(BeginEA());
  y = SegEnd(BeginEA());
  Message("Analysing area %08X - %08X...\n",x,y);
  AnalyseArea(x,y);
  Wait();		// wait for code segment analysis to finish

  Message("\n\n------ Creating output file.... --------\n");
  WriteTxt("ida.out",0,0xFFFFFFFF);
  Message("All done, exiting...\n");
  Exit(0);				// exit to OS, error code 0 - success
}
